peptidenaturalisotope.cpp File Reference

peptide natural isotope model More...

`#include "peptidenaturalisotope.h"`
`#include "../pappsoexception.h"`
`#include <cmath>`
`#include <QDebug>`

Go to the source code of this file.

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Macros

#define | CACHE_ARRAY_SIZE 500

## Enumerations

enum class | pappso::AtomIsotope { pappso::C , pappso::H , pappso::O , pappso::N , pappso::S }

## Functions

uint64_t | pappso::Combinations (unsigned int n, unsigned int k)
pappso_double | pappso::isotopem_ratio (pappso_double abundance, unsigned int total, unsigned int heavy)
pappso_double | pappso::isotopem_ratio_cache (Isotope isotope, unsigned int total, unsigned int heavy)

## Variables

uint64_t | pappso::combinations_cache [CACHE_ARRAY_SIZE][CACHE_ARRAY_SIZE] = {0}
pappso_double | pappso::ratioC13_cache [CACHE_ARRAY_SIZE][CACHE_ARRAY_SIZE] = {0}
pappso_double | pappso::ratioN15_cache [CACHE_ARRAY_SIZE][CACHE_ARRAY_SIZE] = {0}
pappso_double | pappso::ratioS36_cache [CACHE_ARRAY_SIZE][CACHE_ARRAY_SIZE] = {0}
pappso_double | pappso::ratioS34_cache [CACHE_ARRAY_SIZE][CACHE_ARRAY_SIZE] = {0}
pappso_double | pappso::ratioS33_cache [CACHE_ARRAY_SIZE][CACHE_ARRAY_SIZE] = {0}
pappso_double | pappso::ratioO17_cache [CACHE_ARRAY_SIZE][CACHE_ARRAY_SIZE] = {0}
pappso_double | pappso::ratioO18_cache [CACHE_ARRAY_SIZE][CACHE_ARRAY_SIZE] = {0}
pappso_double | pappso::ratioH2_cache [CACHE_ARRAY_SIZE][CACHE_ARRAY_SIZE] = {0}

## Detailed Description

peptide natural isotope model

Date
  8/3/2015

Author
  Olivier Langella

Definition in file peptidenaturalisotope.cpp.

## Macro Definition Documentation

## CACHE_ARRAY_SIZE

#define CACHE_ARRAY_SIZE 500

Definition at line 42 of file peptidenaturalisotope.cpp.